# BMA Server Framework: core Namespace Reference

core Namespace Reference

## Classes

class | Command
class | CommandList
class | ConsoleServer
class | ConsoleSession
class | EPoll
class | Exception
class | File
class | IPAddress
class | IPAddressList
class | Log
class | Object
class | Service
class | Session
class | SessionFilter
class | Socket
class | TCPServerSocket
class | TCPSocket
class | TerminalSession
class | Thread
class | Timer
class | TLSServerSocket
class | TLSService
class | TLSSession
class | UDPServerSocket
class | UDPSocket

## Functions

void | handshake_complete (const SSL *ssl, int where, int ret)

## Detailed Description

File

File abstraction class for accessing local file system files.